import axios from '@/utils/request'
// 查询分页数据：
export const getDemoPagePage = (arg) => {
  return axios.request({
    url: '/system/user/list',
    method: 'get',
    params: arg,
    dataType: 'json'
  })
}
// 查询详情数据：
export const getDemoPageDetail = (arg) => {
  return axios.request({
    url: `/system/DemoPage/${arg}`,
    method: 'get',
    params: arg,
    dataType: 'json'
  })
}

// 添加数据：
export const addDemoPage = (arg) => {
  return axios.request({
    url: '/system/DemoPage',
    method: 'post',
    data: arg,
    dataType: 'json'
  })
}

// 修改数据：
export const updateDemoPage = (arg) => {
  return axios.request({
    url: '/system/DemoPage',
    method: 'put',
    data: arg,
    dataType: 'json'
  })
}

// 删除数据:
export const deleteDemoPage = (arg) => {
  return axios.request({
    url: '/system/DemoPage',
    method: 'delete',
    data: arg,
    dataType: 'json'
  })
}